﻿using System;
using System.Data.Services.Client;
using SilverlightApplication1.ServiceReference1;
using System.Collections;

namespace SilverlightApplication1
{
    public class MyDataContext
    {
        DataServiceContext _Context;
        private DataServiceContext Context
        {
            get
            {
                if (_Context == null)
                {
                    _Context = new NorthwindEntities(new Uri("http://services.odata.org/Northwind/Northwind.svc"));
                }
                return _Context;
            }
        }

        IEnumerable _Customers;
        public IEnumerable Customers
        {
            get
            {
                if (_Customers == null)
                {
                    var collection = new DataServiceCollection<Customer>(Context);
                    _Customers = collection;
                    collection.LoadAsync(Context.CreateQuery<Customer>("Customers"));
                }
                return _Customers;
            }
        }
    }
}
